Support » Plugin: WordPress Button Plugin MaxButtons » PHP Error: Leafo Compatability

  • Hello,

    After updating my PHP and maxbutton plugin, I am receiving the following error:

    Declaration of Leafo\ScssPhp\Formatter\Compressed::format(Leafo\ScssPhp\Formatter\OutputBlock $block) should be compatible with Leafo\ScssPhp\Formatter::format(Leafo\ScssPhp\Formatter\OutputBlock $block, ?Leafo\ScssPhp\SourceMap\SourceMapGenerator $sourceMapGenerator = NULL)

    This is only happening on one of my sites, however. On my other sites that are running the same PHP version and version of maxbuttons, everything seems to be fine.

    Any idea what is causing this?

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author AlanP57

    (@alanp57)

    I’m not sure. What PHP versions are involved.

    Plugin Author Bas Schuiling

    (@basszje)

    This cause of this is another plugin you have in use that doesn’t check if this library is already loaded ( as MaxButtons does ). To solve, please check which plugin that might be, and request they check for this first.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.